## org.h2.dev.store.btree
Interface MapFactory

All Known Implementing Classes:
  TestMapFactory

    public interface MapFactory

A factory for data types.

Method Summary
`DataType` `buildDataType(java.lang.String dataType)` Parse the data type.

`

`<K,V> MVMap<K,V>`

`

`buildMap(java.lang.String mapType, MVStore store, int id, java.lang.String name, DataType keyType, DataType valueType, long createVersion)`
Build a map.

`java.lang.String` `getDataType(java.lang.Class<?> objectClass)` Get the data type object for the given class.

Method Detail

### buildMap

    <K,V> MVMap<K,V> buildMap(java.lang.String mapType,
                              MVStore store,
                              int id,
                              java.lang.String name,
                              DataType keyType,
                              DataType valueType,
                              long createVersion)

  Build a map.

  Parameters:
    `mapType` - the map type and type specific meta data
    `store` - the store
    `id` - the unique map id
    `name` - the map name
    `keyType` - the key type
    `valueType` - the value type
    `createVersion` - when the map was created
  Returns:
    the map

### buildDataType

    DataType buildDataType(java.lang.String dataType)

  Parse the data type.

  Parameters:
    `dataType` - the string and type specific meta data
  Returns:
    the type

### getDataType

    java.lang.String getDataType(java.lang.Class<?> objectClass)

  Get the data type object for the given class.

  Parameters:
    `objectClass` - the class
  Returns:
    the data type object